SystemOrganization addCategory: #'BogusInfo-Base'!

Object subclass: #BogusInfo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BogusInfo-Base'!

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/27/2004 17:14'!
classes
	"The classes in Bogus as instances of Class"
	
	^ self classNames collect: [:ea | Smalltalk 
									at: ea 
									ifAbsent: [self error: 'Class ', ea, 'is missing']].! !

!BogusInfo class methodsFor: 'source' stamp: 'cwp 5/30/2004 09:29'!
aFiveSource
	^ 'five
	^ self two + self three'! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/30/2004 08:52'!
bInstVarNames
	^  #('firstInstanceVariableB' 'secondInstanceVariableB')! !

!BogusInfo class methodsFor: 'source' stamp: 'cwp 5/30/2004 09:29'!
aComment
	^ 'Comment for BogusA'! !

!BogusInfo class methodsFor: 'packaging' stamp: 'cwp 5/30/2004 18:48'!
package
	^ PackageInfo hidden: self packageName! !

!BogusInfo methodsFor: 'look in class' stamp: 'cwp 5/30/2004 08:42'!
seeClassSide! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/30/2004 10:47'!
classNames
	"The names of the classes in package Bogus in alphabetical order"
	
	^ #(BogusA BogusB BogusC BogusE BogusF BogusG BogusH BogusI BogusJ BogusPool)! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/27/2004 17:11'!
instanceMethodsA
	"The methods of BogusA that belong to package Bogus in alphabetical order by selector"
	
	^  #(
			#a 
			#b 
			#bogusHopefullyUniqueSelector 
			#bogusOtherUniqueSelector 
			#five 
			#isString 
			#one 
			#three 
			#two
		)! !

!BogusInfo class methodsFor: 'packaging' stamp: 'cwp 5/30/2004 10:14'!
baseCategory
	^ 'Bogus-Base'! !

!BogusInfo class methodsFor: 'source' stamp: 'cwp 5/30/2004 20:51'!
aASource
	^ 'a
	^ $A'! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/30/2004 15:52'!
baseClasses
	^ self baseClassNames collect: [:ea | Smalltalk 
										at: ea 
										ifAbsent: [self error: 'Class ', ea, 'missing']]! !

!BogusInfo class methodsFor: 'packaging' stamp: 'cwp 5/30/2004 18:49'!
packageName
	^ 'Bogus'! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/27/2004 16:55'!
classMethodsA
	 ^ #(a acceptsLoggingOfCompilation b)! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/30/2004 15:56'!
aCategories
	^ #(numbers letters other #'*bogusext' #'*bogusext-testing')! !

!BogusInfo class methodsFor: 'source' stamp: 'cwp 5/30/2004 10:12'!
aOneSource
	^ 'one
	^ 1'! !

!BogusInfo class methodsFor: 'listing' stamp: 'cwp 5/30/2004 10:47'!
baseClassNames
	"The names of the classes in package Bogus in alphabetical order"
	
	^ #(BogusA BogusB BogusC BogusE)! !

Object subclass: #BogusBuilder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'BogusInfo-Base'!

!BogusBuilder class methodsFor: 'method definitions' stamp: 'cwp 5/30/2004 20:51'!
compileA
	BogusA class compile: BogusInfo aASource! !

!BogusBuilder class methodsFor: 'method definitions' stamp: 'cwp 5/30/2004 10:36'!
compileFour
	BogusA removeSelector: #four.! !

!BogusBuilder class methodsFor: 'method definitions' stamp: 'cwp 5/30/2004 10:31'!
compileOne
	BogusA compile: BogusInfo aOneSource! !

!BogusBuilder class methodsFor: 'class definitions' stamp: 'cwp 5/30/2004 10:26'!
defineC
	Compiler evaluate: 'Object subclass: #BogusC
	instanceVariableNames: ''''
	classVariableNames: ''''
	poolDictionaries: ''''
	category: ''Bogus-Base'''! !

!BogusBuilder class methodsFor: 'class definitions' stamp: 'cwp 5/30/2004 10:42'!
defineD
	(Smalltalk hasClassNamed: 'BogusD') 
		ifTrue: [Smalltalk removeClassNamed: 'BogusD'].! !

!BogusBuilder class methodsFor: 'class comments' stamp: 'cwp 5/30/2004 10:27'!
commentB
	BogusB organization classComment: ''! !
